# Title of Dataset: Inferring population connectivity in Eastern Massasauga Rattlesnakes (Sistrurus catenatus) using landscape genetics
---

Dataset contains various R scripts and files used to delineate potential movement of Eastern Massasauga Rattlesnakes (Sistrurus catenatus) in Ohio, USA. Genetic data in the form of single nucleotide polymorphisms (SNPs) were found via ddRADSeq, and used to reconstruct a pedigree.
The inferred pedigree was then used to identify any related individuals found in different survey areas and that distance then used to calculate movement potential with a landscape resistance map.


## Description of the Data and file structure
This dataset contains the following files and scripts:
all_dem_2020.asc - An ASCII raster map of a digital elevation model for Ohio covering both survey regions. This is a trimmed down map 
    downloaded from publicly available data from the Ohio Division of Natural Resources
all_lc_2020.asc - An ASCII raster map of corrected landcover derived from the National Land Cover Database that is publicly available 
    from the USGI. The raw land cover data was corrected based on the USDA Cropland Data Layer using the R scripts kd_lc_reclass_with_CDL.R and NE_OH_landcover_updates.R.
all_sca_RGA_script.R - This R script incorporates the previously described rasters and input matrices to fit resistance values across both study regions. However,
     the script is not functional as included, as GPS locations are required and have been omitted to protect study sites.
kd_lc_reclass_with_CDL.R - This R script uses the USDA cropland data layer and a road polygon file to correct potential errors in the raw NLCD maps for Central Ohio
kd_pedigree_code.R - This R script uses the R package Sequoia to reconstruct a pedigree using the kd_sca_2020.vcf data
NE_OH_landcover_updates.R - This does the same updates as the kd_lc_reclass_with_CDL.R script, but for the NE Ohio study region
kd_sca_2020.vcf - The filtered genetic data for S. catenatus in the Central Ohio region described in the manuscript.
all_response_45m_2.csv - This is the matrix of genetic distances between all pairs of individuals for each survey region calculated via the adegenet package in R as described in the manuscript and later used as an input into the ResistanceGA scropt (all_sca_RGA_script.R) to fit
    landscape resistance values. This matrix is only used in the "genetic distance" input parameter in the resistanceGA model.
all_sca_pairs.csv - Another input for the ResistanceGA script, this file is a matrix comprised of 0s and 1s that describe pairs of individuals to include or skip when calculating resistance values. Pairs with a 0 value were excluded from the resistance model, while a 1 value set the resistance model to use both the genetic and geographic distance between 
	the individuals in that pair for the mode optmization. This matrix is only used for the "pairs_to_include" input parameter in the resistanceGA model.

## Sharing/access Information

Was data derived from another source?
Much of this research incorporated the previously published genetic data for S. catenatus in NE Ohio, found at: https://datadryad.org/stash/dataset/doi:10.5061/dryad.cfxpnvx4s